Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 761550

Summary: dev-ruby/http:5 and new dependencies keywording request
Product: Gentoo Linux Reporter: Hans de Graaff <graaff>
Component: KeywordingAssignee: Gentoo Ruby Team <ruby>
Status: IN_PROGRESS ---    
Severity: normal CC: hppa, matoro_bugzilla_gentoo
Priority: Normal Keywords: CC-ARCHES, KEYWORDREQ, PullRequest
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/25906
Whiteboard:
Package list:
dev-ruby/async:1 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/http:5 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/async-rspec ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/benchmark-ips ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/console ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/timers ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/async-io ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/fiber-local ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/rspec-files ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/rspec-memory ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/async-container ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/llhttp-ffi ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 dev-ruby/ffi-compiler ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86
Runtime testing required: ---
Bug Depends on: 763978, 766162, 826918    
Bug Blocks: 764515    

Description Hans de Graaff gentoo-dev 2020-12-25 07:13:09 UTC
Please test and rekeyword due to new dependencies.
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-01-19 14:25:33 UTC
arm done
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-01-20 00:37:36 UTC
arm64 done
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-02-09 21:29:39 UTC
x86 done
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-02-14 05:41:36 UTC
ppc64 done
Comment 5 NATTkA bot gentoo-dev 2021-04-01 19:09:49 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-04-01 20:12:01 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2021-04-01 22:05:41 UTC Comment hidden (obsolete)
Comment 8 Larry the Git Cow gentoo-dev 2022-10-22 21:33:55 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21da93d12d75a057b069c1d289974253da3c3db3

commit 21da93d12d75a057b069c1d289974253da3c3db3
Author:     matoro <matoro@users.noreply.github.com>
AuthorDate: 2022-06-15 04:43:00 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2022-10-22 21:33:11 +0000

    dev-ruby/http: add 5.1.0
    
    Giant push to the Ruby tree to bring up dev-ruby/http to the 5.x branch.
    http-5.x changes the underlying C parser from http-parser to llhttp-ffi,
    which pulls in most of the socketry async ecosystem for its tests.  All
    of these packages have been tested on sparc, using all compatible Ruby
    versions from ruby26 to ruby31.
    
    KNOWN ISSUES:
    
    * dev-ruby/async-http tests can hang on ruby27 only
    * dev-ruby/dalli tests are RESTRICTed because they spin up a local
      memcached instance, which is broken on sparc (see bug 636552)
    * In order to get the benefits of respect-cflags.patch for packages that
      use ffi-compiler (such as dev-ruby/llhttp-ffi), you must rebuild
      dev-ruby/ffi-compiler
    * dev-ruby/ffi has two failing tests, but passes everything else.  This
      does not seem to affect functionality.  Documented in bug 847286 and
      upstream https://github.com/ffi/ffi/pull/957
    * dev-ruby/simplecov tests fail for ruby3x, already filed by someone
      else as bug 835620.  This may be fixed in newer upstream versions
    * 5.1.0 seems to have introduced a new issue not present in 5.0.4, fix
      is simple and submitted upstream as
      https://github.com/httprb/http/pull/719, courtest of
      https://github.com/pact-foundation/pact-support/pull/29
    
    Closes: https://bugs.gentoo.org/766162
    Bug: https://bugs.gentoo.org/761550
    Signed-off-by: matoro <matoro@users.noreply.github.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 dev-ruby/http/Manifest          |  1 +
 dev-ruby/http/http-5.1.0.ebuild | 59 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)
Comment 9 NATTkA bot gentoo-dev 2022-10-22 21:36:40 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2022-11-22 08:44:32 UTC Comment hidden (obsolete)
Comment 11 matoro archtester 2022-12-01 00:43:33 UTC
Updating this to the new dev-ruby/http:5 SLOT.  This allows us to drop the blocker on bug 766159.  Eventually dev-ruby/http-parser can be dropped as dev-ruby/http-4* is the only revdep.
Comment 12 NATTkA bot gentoo-dev 2022-12-01 00:48:37 UTC Comment hidden (obsolete)
Comment 13 NATTkA bot gentoo-dev 2022-12-01 01:00:42 UTC
All sanity-check issues have been resolved
Comment 14 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-12-01 02:04:40 UTC
arm64 done
Comment 15 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-12-01 04:02:38 UTC
arm done
Comment 16 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-12-01 04:02:46 UTC
ppc done
Comment 17 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-12-01 04:02:53 UTC
ppc64 done
Comment 18 Arthur Zamarin archtester gentoo-dev 2022-12-05 20:03:23 UTC
x86 done